From: Sergio Durigan Junior <sergiodj@sergiodj.net>
Date: Sun, 12 Jun 2016 13:08:08 -0400
Subject: Do not strip the newlisp binary

We are interested in generating the debuginfo package for the newlip
binary.
---
 makefile_amal_darwin_utf8_ffi         | 1 -
 makefile_bsd                          | 1 -
 makefile_bsdLP64                      | 1 -
 makefile_bsdLP64_utf8                 | 1 -
 makefile_bsdLP64_utf8_ffi             | 1 -
 makefile_bsdLP64_utf8_lib             | 1 -
 makefile_bsd_lib                      | 1 -
 makefile_bsd_utf8                     | 1 -
 makefile_bsd_utf8_ffi                 | 1 -
 makefile_bsd_utf8_lib                 | 1 -
 makefile_cygwin                       | 1 -
 makefile_cygwinLP64                   | 1 -
 makefile_darwin                       | 1 -
 makefile_darwinLP64                   | 1 -
 makefile_darwinLP64_utf8              | 1 -
 makefile_darwinLP64_utf8_ffi          | 1 -
 makefile_darwin_universal_utf8_compat | 1 -
 makefile_darwin_utf8                  | 1 -
 makefile_darwin_utf8_ffi              | 1 -
 makefile_darwin_utf8_leopardIntel     | 1 -
 makefile_darwin_utf8_leopardIntel_ffi | 1 -
 makefile_darwin_utf8_leopardPPC       | 1 -
 makefile_darwin_utf8_leopardPPC_ffi   | 1 -
 makefile_linux                        | 1 -
 makefile_linuxLP64                    | 1 -
 makefile_linuxLP64_ffi                | 1 -
 makefile_linuxLP64_lib                | 1 -
 makefile_linuxLP64_redhat_utf8_ffi    | 1 -
 makefile_linuxLP64_utf8               | 1 -
 makefile_linuxLP64_utf8_ffi           | 1 -
 makefile_linux_ffi                    | 1 -
 makefile_linux_lib                    | 1 -
 makefile_linux_lib_utf8               | 1 -
 makefile_linux_maemo_utf8             | 1 -
 makefile_linux_redhat_utf8_ffi        | 1 -
 makefile_linux_utf8                   | 1 -
 makefile_linux_utf8_ffi               | 1 -
 makefile_netbsd                       | 1 -
 makefile_netbsd_utf8                  | 1 -
 makefile_raspberrypi                  | 1 -
 makefile_raspberrypi_utf8             | 1 -
 makefile_tru64                        | 2 --
 42 files changed, 43 deletions(-)

diff --git a/makefile_amal_darwin_utf8_ffi b/makefile_amal_darwin_utf8_ffi
index 598a86f..93620a4 100644
--- a/makefile_amal_darwin_utf8_ffi
+++ b/makefile_amal_darwin_utf8_ffi
@@ -15,7 +15,6 @@ CC = gcc
 
 default: $(OBJS)
 	$(CC) $(OBJS) -m32 -lm -lreadline -lffi -o newlisp
-	strip newlisp
 
 .c.o:
 	$(CC) $(DEFAULT_CFLAGS) $<
diff --git a/makefile_bsd b/makefile_bsd
index 822499e..bac0e0c 100644
--- a/makefile_bsd
+++ b/makefile_bsd
@@ -16,7 +16,6 @@ default: $(OBJS)
 	$(CC) $(OBJS) -m32 -g -lm -lreadline -lncurses -o newlisp
 # or without readline lib
 #	$(CC) $(OBJS) -m32 -g -lm -o newlisp
-	strip newlisp
 
 .c.o:
 	$(CC) $(DEFAULT_CFLAGS) $<
diff --git a/makefile_bsdLP64 b/makefile_bsdLP64
index 5f84db4..c4808be 100644
--- a/makefile_bsdLP64
+++ b/makefile_bsdLP64
@@ -16,7 +16,6 @@ default: $(OBJS)
 	$(CC) $(OBJS) -m64 -g -lm -lreadline -lncurses -o newlisp
 # or without readline lib
 #	$(CC) $(OBJS) -m64 -g -lm -o newlisp
-	strip newlisp
 
 .c.o:
 	$(CC) $(DEFAULT_CFLAGS) $<
diff --git a/makefile_bsdLP64_utf8 b/makefile_bsdLP64_utf8
index ef80f79..ad38421 100644
--- a/makefile_bsdLP64_utf8
+++ b/makefile_bsdLP64_utf8
@@ -16,7 +16,6 @@ default: $(OBJS)
 	$(CC) $(OBJS) -m64 -g -lm -lreadline -lncurses -o newlisp
 # or without readline lib
 #	$(CC) $(OBJS) -m64 -g -lm -o newlisp
-	strip newlisp
 
 .c.o:
 	$(CC) $(DEFAULT_CFLAGS) $<
diff --git a/makefile_bsdLP64_utf8_ffi b/makefile_bsdLP64_utf8_ffi
index bb97723..95dc566 100644
--- a/makefile_bsdLP64_utf8_ffi
+++ b/makefile_bsdLP64_utf8_ffi
@@ -16,7 +16,6 @@ default: $(OBJS)
 	$(CC) $(OBJS) -m64 -g -lm -lreadline -lncurses -L/usr/local/lib -lffi -o newlisp
 # or without readline lib
 #	$(CC) $(OBJS) -m64 -g -lm -o newlisp
-	strip newlisp
 
 .c.o:
 	$(CC) $(DEFAULT_CFLAGS) $<
diff --git a/makefile_bsdLP64_utf8_lib b/makefile_bsdLP64_utf8_lib
index 4157f71..3e36937 100644
--- a/makefile_bsdLP64_utf8_lib
+++ b/makefile_bsdLP64_utf8_lib
@@ -9,7 +9,6 @@ CC = cc
 
 default: $(OBJS)
 	$(CC) $(OBJS) -m64 -lm -shared -o newlisp.so
-	strip newlisp.so
 
 .c.o:
 	$(CC) $(DEFAULT_CFLAGS) $<
diff --git a/makefile_bsd_lib b/makefile_bsd_lib
index 38a6d75..f72cf85 100644
--- a/makefile_bsd_lib
+++ b/makefile_bsd_lib
@@ -9,7 +9,6 @@ CC = cc
 
 default: $(OBJS)
 	$(CC) $(OBJS) -m32 -lm -shared -o newlisp.so
-	strip newlisp.so
 
 .c.o:
 	$(CC) $(DEFAULT_CFLAGS) $<
diff --git a/makefile_bsd_utf8 b/makefile_bsd_utf8
index 82e48cb..74b65e1 100644
--- a/makefile_bsd_utf8
+++ b/makefile_bsd_utf8
@@ -14,7 +14,6 @@ default: $(OBJS)
 	$(CC) $(OBJS) -m32 -g -lm -lreadline -lncurses -o newlisp
 # or without readline lib
 #	$(CC) $(OBJS) -m32 -g -lm -o newlisp
-	strip newlisp
 
 .c.o:
 	$(CC) $(DEFAULT_CFLAGS) $<
diff --git a/makefile_bsd_utf8_ffi b/makefile_bsd_utf8_ffi
index ba66327..daf759f 100644
--- a/makefile_bsd_utf8_ffi
+++ b/makefile_bsd_utf8_ffi
@@ -15,7 +15,6 @@ default: $(OBJS)
 	$(CC) $(OBJS) -m32 -g -lm -lreadline -lncurses -L/usr/local/lib -lffi -o newlisp
 # or without readline lib
 #	$(CC) $(OBJS) -m32 -g -lm -o newlisp
-	strip newlisp
 
 .c.o:
 	$(CC) $(DEFAULT_CFLAGS) $<
diff --git a/makefile_bsd_utf8_lib b/makefile_bsd_utf8_lib
index d60078a..55b8de4 100644
--- a/makefile_bsd_utf8_lib
+++ b/makefile_bsd_utf8_lib
@@ -9,7 +9,6 @@ CC = cc
 
 default: $(OBJS)
 	$(CC) $(OBJS) -m32 -lm -shared -o newlisp.so
-	strip newlisp.so
 
 .c.o:
 	$(CC) $(DEFAULT_CFLAGS) $<
diff --git a/makefile_cygwin b/makefile_cygwin
index c488d2a..03009ac 100644
--- a/makefile_cygwin
+++ b/makefile_cygwin
@@ -27,7 +27,6 @@ CC = gcc
 default: $(OBJS)
 	$(CC) $(OBJS) -m32 -g -lm -ldl -lreadline -o newlisp.exe
 #	$(CC) $(OBJS) -m32 -g -lm -ldl -lreadline -lffi -o newlisp.exe
-	strip newlisp.exe
 
 .c.o:
 	$(CC) $(DEFAULT_CFLAGS) $<
diff --git a/makefile_cygwinLP64 b/makefile_cygwinLP64
index efa44fc..a835aa6 100644
--- a/makefile_cygwinLP64
+++ b/makefile_cygwinLP64
@@ -27,7 +27,6 @@ CC = gcc
 default: $(OBJS)
 	$(CC) $(OBJS) -m64 -g -lm -ldl -lreadline -o newlisp.exe
 #	$(CC) $(OBJS) -m64 -g -lm -ldl -lreadline -lffi -o newlisp.exe
-	strip newlisp.exe
 
 .c.o:
 	$(CC) $(DEFAULT_CFLAGS) $<
diff --git a/makefile_darwin b/makefile_darwin
index e65a2ec..aa9aca9 100644
--- a/makefile_darwin
+++ b/makefile_darwin
@@ -12,7 +12,6 @@ CC = cc
 
 default: $(OBJS)
 	$(CC) $(OBJS) -m32 -lm -lreadline -o newlisp
-	strip newlisp
 
 .c.o:
 	$(CC) $(DEFAULT_CFLAGS) $<
diff --git a/makefile_darwinLP64 b/makefile_darwinLP64
index c7f755c..f161bbe 100644
--- a/makefile_darwinLP64
+++ b/makefile_darwinLP64
@@ -13,7 +13,6 @@ CC = cc
 
 default: $(OBJS)
 	$(CC) $(OBJS) -m64 -g -lm -lreadline -o newlisp
-	strip newlisp
 
 .c.o:
 	$(CC) $(DEFAULT_CFLAGS) $<
diff --git a/makefile_darwinLP64_utf8 b/makefile_darwinLP64_utf8
index 8389d86..9581a19 100644
--- a/makefile_darwinLP64_utf8
+++ b/makefile_darwinLP64_utf8
@@ -12,7 +12,6 @@ CC = cc
 
 default: $(OBJS)
 	$(CC) $(OBJS) -m64 -g -lm -lreadline -o newlisp
-	strip newlisp
 
 .c.o:
 	$(CC) $(DEFAULT_CFLAGS) $<
diff --git a/makefile_darwinLP64_utf8_ffi b/makefile_darwinLP64_utf8_ffi
index 7eab14e..4858d74 100644
--- a/makefile_darwinLP64_utf8_ffi
+++ b/makefile_darwinLP64_utf8_ffi
@@ -13,7 +13,6 @@ CC = cc
 
 default: $(OBJS)
 	$(CC) $(OBJS) -m64 -mmacosx-version-min=10.6 -lm -lreadline -lffi -o newlisp
-	strip newlisp
 
 .c.o:
 	$(CC) $(DEFAULT_CFLAGS) $<
diff --git a/makefile_darwin_universal_utf8_compat b/makefile_darwin_universal_utf8_compat
index 8774e5f..d20bc8a 100644
--- a/makefile_darwin_universal_utf8_compat
+++ b/makefile_darwin_universal_utf8_compat
@@ -36,7 +36,6 @@ OBJS = newlisp.o nl-symbol.o nl-math.o nl-list.o nl-liststr.o nl-string.o nl-fil
 
 default: $(OBJS)
 	$(CC) $(OBJS) -mmacosx-version-min=10.4 -arch i386 -arch ppc -g -lm -lreadline -o newlisp-universal
-	strip newlisp-universal
 #   lipo newlisp-universal -output newlisp-intel -thin i386
 #   lipo newlisp-universal -output newlisp-ppc -thin ppc
 
diff --git a/makefile_darwin_utf8 b/makefile_darwin_utf8
index e84758c..7289aa9 100644
--- a/makefile_darwin_utf8
+++ b/makefile_darwin_utf8
@@ -12,7 +12,6 @@ CC = cc
 
 default: $(OBJS)
 	$(CC) $(OBJS) -m32 -lm -lreadline -o newlisp
-	strip newlisp
 
 .c.o:
 	$(CC) $(DEFAULT_CFLAGS) $<
diff --git a/makefile_darwin_utf8_ffi b/makefile_darwin_utf8_ffi
index 1829c46..2c14bb2 100644
--- a/makefile_darwin_utf8_ffi
+++ b/makefile_darwin_utf8_ffi
@@ -13,7 +13,6 @@ CC = cc
 
 default: $(OBJS)
 	$(CC) $(OBJS) -m32 -lm -lreadline -lffi -o newlisp
-	strip newlisp
 
 .c.o:
 	$(CC) $(DEFAULT_CFLAGS) $<
diff --git a/makefile_darwin_utf8_leopardIntel b/makefile_darwin_utf8_leopardIntel
index 2c1cd8f..07f6ff4 100644
--- a/makefile_darwin_utf8_leopardIntel
+++ b/makefile_darwin_utf8_leopardIntel
@@ -21,7 +21,6 @@ OBJS = newlisp.o nl-symbol.o nl-math.o nl-list.o nl-liststr.o nl-string.o nl-fil
 
 default: $(OBJS)
 	$(CC) $(OBJS) -mmacosx-version-min=10.5 -arch i386 -g -lm -lreadline -o newlisp
-	strip newlisp
 
 .c.o:
 	$(CC) $(DEFAULT_CFLAGS) $<
diff --git a/makefile_darwin_utf8_leopardIntel_ffi b/makefile_darwin_utf8_leopardIntel_ffi
index 26f5a7d..ef3cddf 100644
--- a/makefile_darwin_utf8_leopardIntel_ffi
+++ b/makefile_darwin_utf8_leopardIntel_ffi
@@ -21,7 +21,6 @@ OBJS = newlisp.o nl-symbol.o nl-math.o nl-list.o nl-liststr.o nl-string.o nl-fil
 
 default: $(OBJS)
 	$(CC) $(OBJS) -mmacosx-version-min=10.5 -arch i386 -g -lm -lreadline -lffi -o newlisp
-	strip newlisp
 
 .c.o:
 	$(CC) $(DEFAULT_CFLAGS) $<
diff --git a/makefile_darwin_utf8_leopardPPC b/makefile_darwin_utf8_leopardPPC
index 3456f71..ca11fd5 100644
--- a/makefile_darwin_utf8_leopardPPC
+++ b/makefile_darwin_utf8_leopardPPC
@@ -26,7 +26,6 @@ OBJS = newlisp.o nl-symbol.o nl-math.o nl-list.o nl-liststr.o nl-string.o nl-fil
 
 default: $(OBJS)
 	$(CC) $(OBJS) -mmacosx-version-min=10.5 -arch ppc -g -lm -lreadline -o newlisp
-	strip newlisp
 
 .c.o:
 	$(CC) $(DEFAULT_CFLAGS) $<
diff --git a/makefile_darwin_utf8_leopardPPC_ffi b/makefile_darwin_utf8_leopardPPC_ffi
index f5dcb3c..6627a85 100644
--- a/makefile_darwin_utf8_leopardPPC_ffi
+++ b/makefile_darwin_utf8_leopardPPC_ffi
@@ -26,7 +26,6 @@ OBJS = newlisp.o nl-symbol.o nl-math.o nl-list.o nl-liststr.o nl-string.o nl-fil
 
 default: $(OBJS)
 	$(CC) $(OBJS) -m32 -mmacosx-version-min=10.5 -arch ppc -g -lm -lreadline -lffi -o newlisp
-	strip newlisp
 
 .c.o:
 	$(CC) $(DEFAULT_CFLAGS) $<
diff --git a/makefile_linux b/makefile_linux
index 0f9a019..9f17ac8 100644
--- a/makefile_linux
+++ b/makefile_linux
@@ -16,7 +16,6 @@ default: $(OBJS)
 	$(CC) $(OBJS) -m32 -g -lm -ldl -lreadline -o newlisp # for UBUNTU Debian
 #	$(CC) $(OBJS) -m32 -g -lm -ldl -lreadline -lncurses -o newlisp # other Linux Dist
 #	$(CC) $(OBJS) -m32 -g -lm -ldl -o newlisp # without readline support
-	strip newlisp
 
 .c.o:
 	$(CC) $(DEFAULT_CFLAGS) $<
diff --git a/makefile_linuxLP64 b/makefile_linuxLP64
index bd1bf85..65b1b81 100644
--- a/makefile_linuxLP64
+++ b/makefile_linuxLP64
@@ -15,7 +15,6 @@ default: $(OBJS)
 #	$(CC) $(OBJS) -m64 -g -lm -ldl -lreadline -ltermcap -o newlisp # slackware
 #	$(CC) $(OBJS) -m64 -g -lm -ldl -lreadline -lncurses -o newlisp # other Linux Dist
 #	$(CC) $(OBJS) -m64 -g -lm -ldl -o newlisp # without readline support
-	strip newlisp
 
 .c.o:
 	$(CC) $(DEFAULT_CFLAGS) $<
diff --git a/makefile_linuxLP64_ffi b/makefile_linuxLP64_ffi
index 2f5e1c4..71c2bf8 100644
--- a/makefile_linuxLP64_ffi
+++ b/makefile_linuxLP64_ffi
@@ -15,7 +15,6 @@ default: $(OBJS)
 #	$(CC) $(OBJS) -m64 -g -lm -ldl -lreadline -ltermcap -o newlisp # slackware
 #	$(CC) $(OBJS) -m64 -g -lm -ldl -lreadline -lncurses -o newlisp # other Linux Dist
 #	$(CC) $(OBJS) -m64 -g -lm -ldl -o newlisp # without readline support
-	strip newlisp
 
 .c.o:
 	$(CC) $(DEFAULT_CFLAGS) $<
diff --git a/makefile_linuxLP64_lib b/makefile_linuxLP64_lib
index 9958261..c0789cd 100644
--- a/makefile_linuxLP64_lib
+++ b/makefile_linuxLP64_lib
@@ -12,7 +12,6 @@ CC = gcc
 
 default: $(OBJS)
 	$(CC) $(OBJS) -m64 -g -lm -ldl -shared -o newlisp.so
-	strip newlisp.so
 
 .c.o:
 	$(CC) $(DEFAULT_CFLAGS) $<
diff --git a/makefile_linuxLP64_redhat_utf8_ffi b/makefile_linuxLP64_redhat_utf8_ffi
index c93f4de..ed73ee1 100644
--- a/makefile_linuxLP64_redhat_utf8_ffi
+++ b/makefile_linuxLP64_redhat_utf8_ffi
@@ -12,7 +12,6 @@ CC = gcc
 
 default: $(OBJS)
 	$(CC) $(OBJS) -m64 -g -lm -ldl -lreadline -lffi -o newlisp # for RedHat CentOS
-	strip newlisp
 
 .c.o:
 	$(CC) $(DEFAULT_CFLAGS) $<
diff --git a/makefile_linuxLP64_utf8 b/makefile_linuxLP64_utf8
index 2028391..3330e80 100644
--- a/makefile_linuxLP64_utf8
+++ b/makefile_linuxLP64_utf8
@@ -15,7 +15,6 @@ default: $(OBJS)
 #	$(CC) $(OBJS) -m64 -g -lm -ldl -lreadline -ltermcap -o newlisp # slackware
 #	$(CC) $(OBJS) -m64 -g -lm -ldl -lreadline -lncurses -o newlisp # other Linux Dist
 #	$(CC) $(OBJS) -m64 -g -lm -ldl -o newlisp # without readline support
-	strip newlisp
 
 .c.o:
 	$(CC) $(DEFAULT_CFLAGS) $<
diff --git a/makefile_linuxLP64_utf8_ffi b/makefile_linuxLP64_utf8_ffi
index 7f994a0..63a58cc 100644
--- a/makefile_linuxLP64_utf8_ffi
+++ b/makefile_linuxLP64_utf8_ffi
@@ -18,7 +18,6 @@ default: $(OBJS)
 #	$(CC) $(OBJS) -m64 -g -lm -ldl -lreadline -ltermcap -o newlisp # slackware
 #	$(CC) $(OBJS) -m64 -g -lm -ldl -lreadline -lncurses -o newlisp # other Linux Dist
 #	$(CC) $(OBJS) -m64 -g -lm -ldl -o newlisp # without readline support
-	strip newlisp
 
 .c.o:
 	$(CC) $(DEFAULT_CFLAGS) $<
diff --git a/makefile_linux_ffi b/makefile_linux_ffi
index b00cb90..52fcf98 100644
--- a/makefile_linux_ffi
+++ b/makefile_linux_ffi
@@ -16,7 +16,6 @@ default: $(OBJS)
 #	$(CC) $(OBJS) -m32 -g -lm -ldl -lreadline -ltermcap -o newlisp # slackware
 #	$(CC) $(OBJS) -m32 -g -lm -ldl -lreadline -lncurses -o newlisp # other Linux Dist
 #	$(CC) $(OBJS) -m32 -g -lm -ldl -o newlisp # without readline support
-	strip newlisp
 
 .c.o:
 	$(CC) $(DEFAULT_CFLAGS) $<
diff --git a/makefile_linux_lib b/makefile_linux_lib
index dd7d4f6..3d21ade 100644
--- a/makefile_linux_lib
+++ b/makefile_linux_lib
@@ -12,7 +12,6 @@ CC = gcc
 
 default: $(OBJS)
 	$(CC) $(OBJS) -m32 -lm -ldl -shared -o newlisp.so
-	strip newlisp.so
 
 .c.o:
 	$(CC) $(DEFAULT_CFLAGS) $<
diff --git a/makefile_linux_lib_utf8 b/makefile_linux_lib_utf8
index b2cb44a..cb380de 100644
--- a/makefile_linux_lib_utf8
+++ b/makefile_linux_lib_utf8
@@ -12,7 +12,6 @@ CC = gcc
 
 default: $(OBJS)
 	$(CC) $(OBJS) -m32 -lm -ldl -shared -o newlisp.so
-	strip newlisp.so
 
 .c.o:
 	$(CC) $(DEFAULT_CFLAGS) $<
diff --git a/makefile_linux_maemo_utf8 b/makefile_linux_maemo_utf8
index 3cbf368..ee646c2 100644
--- a/makefile_linux_maemo_utf8
+++ b/makefile_linux_maemo_utf8
@@ -16,7 +16,6 @@ default: $(OBJS)
 #    $(CC) $(OBJS) -g -lm -ldl -lreadline -ltermcap -o newlisp # slackware
 #    $(CC) $(OBJS) -g -lm -ldl -lreadline -lncurses -o newlisp # other Linux Dist
 #    $(CC) $(OBJS) -g -lm -ldl -o newlisp # without readline support
-	strip newlisp
 
 .c.o:
 	$(CC) $(DEFAULT_CFLAGS) $<
diff --git a/makefile_linux_redhat_utf8_ffi b/makefile_linux_redhat_utf8_ffi
index 80ec9f5..7de414c 100644
--- a/makefile_linux_redhat_utf8_ffi
+++ b/makefile_linux_redhat_utf8_ffi
@@ -12,7 +12,6 @@ CC = gcc
 
 default: $(OBJS)
 	$(CC) $(OBJS) -m32 -g -lm -ldl -lreadline -lffi -o newlisp # for RedHat CentOS 
-	strip newlisp
 
 .c.o:
 	$(CC) $(DEFAULT_CFLAGS) $<
diff --git a/makefile_linux_utf8 b/makefile_linux_utf8
index 496564f..c272f22 100644
--- a/makefile_linux_utf8
+++ b/makefile_linux_utf8
@@ -15,7 +15,6 @@ default: $(OBJS)
 #	$(CC) $(OBJS) -m32 -g -lm -ldl -lreadline -ltermcap -o newlisp # slackware
 #	$(CC) $(OBJS) -m32 -g -lm -ldl -lreadline -lncurses -o newlisp # other Linux Dist
 #	$(CC) $(OBJS) -m32 -g -lm -ldl -o newlisp # without readline support
-	strip newlisp
 
 .c.o:
 	$(CC) $(DEFAULT_CFLAGS) $<
diff --git a/makefile_linux_utf8_ffi b/makefile_linux_utf8_ffi
index a045bbf..10b6dc2 100644
--- a/makefile_linux_utf8_ffi
+++ b/makefile_linux_utf8_ffi
@@ -15,7 +15,6 @@ default: $(OBJS)
 #	$(CC) $(OBJS) -m32 -g -lm -ldl -lreadline -ltermcap -o newlisp # slackware
 #	$(CC) $(OBJS) -m32 -g -lm -ldl -lreadline -lncurses -o newlisp # other Linux Dist
 #	$(CC) $(OBJS) -m32 -g -lm -ldl -o newlisp # without readline support
-	strip newlisp
 
 .c.o:
 	$(CC) $(DEFAULT_CFLAGS) $<
diff --git a/makefile_netbsd b/makefile_netbsd
index 3d29636..e34c152 100644
--- a/makefile_netbsd
+++ b/makefile_netbsd
@@ -15,7 +15,6 @@ default: $(OBJS)
 	$(CC) $(OBJS) -g -lm -lreadline -lncurses -o newlisp
 # to compile wihtout readline support 
 #	$(CC) $(OBJS) -g -lm -o newlisp
-	strip newlisp
 
 .c.o:
 	$(CC) $(DEFAULT_CFLAGS) $<
diff --git a/makefile_netbsd_utf8 b/makefile_netbsd_utf8
index a4eb375..f683828 100644
--- a/makefile_netbsd_utf8
+++ b/makefile_netbsd_utf8
@@ -15,7 +15,6 @@ default: $(OBJS)
 	$(CC) $(OBJS) -g -lm -lreadline -lncurses -o newlisp
 # without readline support
 #	$(CC) $(OBJS) -g -lm -o newlisp
-	strip newlisp
 
 .c.o:
 	$(CC) $(DEFAULT_CFLAGS) $<
diff --git a/makefile_raspberrypi b/makefile_raspberrypi
index dcb7e21..1b14737 100644
--- a/makefile_raspberrypi
+++ b/makefile_raspberrypi
@@ -19,7 +19,6 @@ CC = gcc
 default: $(OBJS)
 #	$(CC) $(OBJS) -g -lm -ldl -lreadline -o newlisp # with readline support 
 	$(CC) $(OBJS) -g -lm -ldl -o newlisp # without readline support
-	strip newlisp
 
 .c.o:
 	$(CC) $(DEFAULT_CFLAGS) $<
diff --git a/makefile_raspberrypi_utf8 b/makefile_raspberrypi_utf8
index 2bec6ca..e4714aa 100644
--- a/makefile_raspberrypi_utf8
+++ b/makefile_raspberrypi_utf8
@@ -18,7 +18,6 @@ CC = gcc
 default: $(OBJS)
 #	$(CC) $(OBJS) -g -lm -ldl -lreadline -o newlisp #  with readline support
 	$(CC) $(OBJS) -g -lm -ldl -o newlisp # without readline support
-	strip newlisp
 
 .c.o:
 	$(CC) $(DEFAULT_CFLAGS) $<
diff --git a/makefile_tru64 b/makefile_tru64
index 6261446..1e1956f 100644
--- a/makefile_tru64
+++ b/makefile_tru64
@@ -12,11 +12,9 @@ CC = cc
 
 default: $(OBJS)
 	$(CC) $(OBJS) -lm -lrt -ldb -lbsd -o newlisp
-	strip newlisp
 
 readline: $(OBJS)
 	$(CC) $(OBJS) -lm -lrt -ldb -lbsd -lreadline -ltermcap -o newlisp
-	strip newlisp
 
 .c.o:
 	$(CC) $(DEFAULT_CFLAGS) $<
